=== debian/changelog ===
freerdp (1.0.1-1ubuntu2.2) precise-proposed; urgency=low

  * Cherry pick upstream bugfix for crash when $HOME is unset.
    (LP: #1011790)

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 11 Nov 2012 18:39:50 -0500

freerdp (1.0.1-1ubuntu2.1) precise-proposed; urgency=low

  * debian/patches/remote_control.diff: Cherry pick patch from upstream.
    This fixes crash in 'Remote Control'. (LP: #1000356)

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Thu, 24 May 2012 13:52:13 +0200

freerdp (1.0.1-1ubuntu2) precise; urgency=low

  * debian/rules: Drop -Skde, autodetection will work fine.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 14 Feb 2012 14:34:18 +0100

freerdp (1.0.1-1ubuntu1) precise; urgency=low

  * debian/control, debian/rules: Drop libavcodec-dev build dependency and
    disable ffmpeg support, to avoid the banned libavcodec53 on the
    installation images. Support for MMR will come back later in the planned
    gstreamer rewrite. (LP: #931931)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 14 Feb 2012 13:26:44 +0100

freerdp (1.0.1-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release. Closes: #659332.
  * Updated symbols

 -- Otavio Salvador <otavio@debian.org>  Sat, 11 Feb 2012 10:34:05 -0200

freerdp (1.0.0-2) unstable; urgency=low

  [ Jeremy Bicha ]
  * Don't install the freerdp keymaps; they're provided by xkb   

 -- Otavio Salvador <otavio@debian.org>  Tue, 31 Jan 2012 23:50:40 -0200
