=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,14 @@
 %:
 	dh ${@}
 
+override_dh_auto_configure:
+	dh_auto_configure -- -DWITH_FFMPEG=OFF
+
 override_dh_install:
 	# Removing unused files
 	rm -f debian/tmp/usr/lib/*.la
 	rm -f debian/tmp/usr/lib/freerdp/*.la
+	rm -rf debian/tmp/usr/share/freerdp/keymaps
 
 	dh_install --fail-missing
