=== debian/watch ===
version=3

http://sf.net/freerdp/freerdp-(.+)\.tar\.gz
